## ros-noetic-p2os-driver 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9.5)
project(p2os_driver)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS
  p2os_msgs
  diagnostic_updater
  nav_msgs
  roscpp
  geometry_msgs
  tf
  std_msgs
  kdl_parser
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES p2os_driver
  CATKIN_DEPENDS p2os_msgs nav_msgs roscpp geometry_msgs diagnostic_updater tf std_msgs kdl_parser
)

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(p2os_driver
  src/p2osnode.cpp
  src/p2os.cpp
  src/kinecalc.cpp
  src/packet.cpp
  src/robot_params.cpp
  src/sip.cpp
  src/p2os_ptz.cpp
)

target_link_libraries(p2os_driver ${catkin_LIBRARIES})

## Mark executables and/or libraries for installation
install(TARGETS p2os_driver
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-p2os-driver (2.2.1-2focal) focal; urgency=high

  * Two fixes for Melodic. (#62 <https://github.com/allenh1/p2os/issues/62>)
    In p2os_driver, the p2os_msgs_gencpp doesn't exist (and, as
    far as I can tell, never existed).  It worked up until recently
    because older versions of CMake would complain but not fail,
    while more recent cmake versions actually fail.  Just remove
    the dependency.
    The second fix is a cosmetic issue, where CMake would spew a
    bunch of warnings on the command line.  Increase the version
    to 3.9.5 to match other CMakeLists.txt and to get rid of the
    warnings.
  * Prepare release 2.2.0 (#59 <https://github.com/allenh1/p2os/issues/59>)
    * Update changelog
    * 2.2.0
  * Update email address (#58 <https://github.com/allenh1/p2os/issues/58>)
  * Fix driver license (#56 <https://github.com/allenh1/p2os/issues/56>)
    * Upon further inspection, this p2os_driver is GPL 2
    * Fix kinecalc license line
    * Update p2os_ptz license
    * Fix robot_params license
  * Add CI (#54 <https://github.com/allenh1/p2os/issues/54>)
    * Add .travis.yml
    * Add .gitignore
    * Add test script
    * Rename *.h to *.hpp
    * Rename *.cc to *.cpp
    * Apply change to CMakeLists.txt
    * Fix copyright line(s), as well as fix header guard style
    * Default standard to C++14, and bump CMake minimum to 3.9.5
    * Remove unused boost include
    * Make headers pass CI
    * Add build status to the README
  * Contributors: Chris Lalancette, Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 18 Jun 2020 04:00:00 -0000

ros-noetic-p2os-driver (2.2.0-2focal) focal; urgency=high

  * Update email address (#58 <https://github.com/allenh1/p2os/issues/58>)
  * Fix driver license (#56 <https://github.com/allenh1/p2os/issues/56>)
    * Upon further inspection, this p2os_driver is GPL 2
    * Fix kinecalc license line
    * Update p2os_ptz license
    * Fix robot_params license
  * Add CI (#54 <https://github.com/allenh1/p2os/issues/54>)
    * Add .travis.yml
    * Add .gitignore
    * Add test script
    * Rename *.h to *.hpp
    * Rename *.cc to *.cpp
    * Apply change to CMakeLists.txt
    * Fix copyright line(s), as well as fix header guard style
    * Default standard to C++14, and bump CMake minimum to 3.9.5
    * Remove unused boost include
    * Make headers pass CI
    * Add build status to the README
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 14 Mar 2019 04:00:00 -0000

ros-noetic-p2os-driver (2.1.1-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Tue, 03 Jul 2018 04:00:00 -0000

ros-noetic-p2os-driver (2.1.0-2focal) focal; urgency=high

  * Switch to format 2 (#48 <https://github.com/allenh1/p2os/issues/48>)
    * Update p2os_launch to package.xml format 2.
    * Update p2os_driver to package.xml format 2.
    * Update p2os_urdf to package.xml format 2.
    * Update p2os_teleop package.xml to format 2.
    * Update p2os_msgs to package.xml format 2.
    * Update p2os_doc to package.xml format 2.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 01 Aug 2017 04:00:00 -0000

ros-noetic-p2os-driver (2.0.7-2focal) focal; urgency=high

  * Made a small change to prepare version bump.
  * Updated changelog.
  * Missed a paren.
  * Fixed compiler error.
  * Contributors: Hunter L. Allen
  * Missed a paren.
  * Fixed compiler error.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 30 May 2017 04:00:00 -0000

ros-noetic-p2os-driver (2.0.6-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Mon, 22 May 2017 04:00:00 -0000

ros-noetic-p2os-driver (2.0.5-2focal) focal; urgency=high

  * Added missing dependencies.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 26 May 2016 04:00:00 -0000

ros-noetic-p2os-driver (2.0.4-2focal) focal; urgency=high

  * Cleaned up driver source.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hallen@kns.com>  Thu, 26 May 2016 04:00:00 -0000

ros-noetic-p2os-driver (2.0.3-2focal) focal; urgency=high

  * Reformatted code style.
  * Cleaned up the driver.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Sun, 25 Oct 2015 04:00:00 -0000

ros-noetic-p2os-driver (2.0.2-2focal) focal; urgency=high

  * Fixed a small issue (but a big problem) in the source.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Tue, 04 Aug 2015 04:00:00 -0000

ros-noetic-p2os-driver (2.0.1-2focal) focal; urgency=high

  * Doing some cleanup of the code.
  * Additional code updates for p3dx-sh-lms1xx parameters.
  * Added robot parameters for the P3DX models that ship with LMS1xx lasers.
  * Contributors: Damjan Miklic, Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Sat, 11 Jul 2015 04:00:00 -0000

ros-noetic-p2os-driver (1.0.13-2focal) focal; urgency=high

  * Added parameters the p2os node to specify frame IDs for the odom->base_link transform.
  * Contributors: Damjan Miklic

 -- Hunter L. Allen <hallen@kns.com>  Sat, 02 May 2015 04:00:00 -0000

ros-noetic-p2os-driver (1.0.12-2focal) focal; urgency=high

  * Updated to match indigo-devel
  * Fixed dependency issues and cleaned up package.xml and CMakeLists.txt for p2os_driver and p2os_msgs
  * Separated p2os_driver and p2os_msgs
  * Fixed include paths of p2os_driver
  * General cleanup and fixing issues with the code
  * Contributors: Aris Synodinos, Hunter Allen

 -- Hunter L. Allen <hallen@kns.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-p2os-driver (1.0.11-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-noetic-p2os-driver (1.0.10-2focal) focal; urgency=high



 -- Hunter L. Allen <hallen@kns.com>  Wed, 28 May 2014 04:00:00 -0000

ros-noetic-p2os-driver (1.0.9-2focal) focal; urgency=high

  * Updated version
  * 1.0.7
  * Updated changelogs

 -- Hunter L. Allen <hallen@kns.com>  Sun, 18 Aug 2013 04:00:00 -0000



=== debian/control ===
Source: ros-noetic-p2os-driver
Section: misc
Priority: optional
Maintainer: Hunter L. Allen <hallen@kns.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-nav-msgs, ros-noetic-p2os-msgs, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-tf
Homepage: http://ros.org/wiki/p2os_driver
Standards-Version: 3.9.2

Package: ros-noetic-p2os-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-updater, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-p2os-msgs, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-tf
Description: Driver file descriptions for P2OS/ARCOS robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-p2os-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
